/* prefered standard definitions for my programs - RJP 15-Sep-1997 */

/* Latice C - compile using -I$HOME/include */
/* Upgraded to support Borland Turbo C++ */
#include <stdlib.h>

/* standard bi-state logic */
#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif
typedef short int logical;

/* tri-state logic (TRUE, FALSE, UNDECIDED) */
#ifndef TT
#define TT 1
#define TU 0
#define TF -1
typedef short int trilog;
#define tand(a,b) (((a) < 0 && (b) < 0) ? TF : (a) * (b))
#define tor(a,b) (((a) > 0 || (b) > 0) ? TT : -(a) * (b))
#define tnot(a) (-(a))
#define tequ(a,b) ((a)*(b))
#endif

#ifndef min
#define min(x,y) ((x) < (y) ? (x) : (y))
#endif
#ifndef max
#define max(x,y) ((x) > (y) ? (x) : (y))
#endif

/* environment flags

_PAUSE	- pause before termination so the user can read the screen
_FLOPPY	- uses one or two floppy disk drives rather than hard disk, may need
	optimising differently or special provision for work files

*/

/* Atari using Hi-Soft Lattice compiler */
#ifdef ATARI
#include <dos.h>
#define _PAUSE 1
#define _FLOPPY 1
#endif

/* Eureka running CP/M using Hi-Tech compiler
	Note: CP/M systems convert lower to upper case in argument string to
		programs
*/
#ifdef CPM
/* Eureka is the only CP/M system I work with at the moment, may need special
	optimisation for this machine */
#define _EUREKA 1
#define _PAUSE 1
#define _FLOPPY 1
/* compiler doesn't define this switch which it should */
#define __STDC__ 1
#endif

/* PC Windows using Borland Turbo C++ compiler */
#ifdef __TURBOC__
/* compiler doesn't define this switch which it should */
#define __STDC__ 1
#endif

#ifdef __STDC__
void _exit_(int);
#else
_exit_();

/* Only required for BSD systems */
#ifdef ATARI
extern char* optarg;
extern int optind;
int getopt(int argc, char ** argv, char * opts);
#endif
#endif
